// PciDlgDlg.h : header file
//

#define USER_MODE
#include "..\Driver\PCIDump.h"

#if !defined(AFX_PCIDLGDLG_H__C89E2B7D_17ED_11D7_B7B9_00A0C9A01D1B__INCLUDED_)
#define AFX_PCIDLGDLG_H__C89E2B7D_17ED_11D7_B7B9_00A0C9A01D1B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPciDlgDlg dialog

class CPciDlgDlg : public CDialog
{
// Construction
public:
	static void Dword32ToDevAddr(DWORD param, ULONG *pBusId, ULONG *pDevId, ULONG *pDevFunc);
	static DWORD DevAddrToDword32(ULONG BusId, ULONG DevId, ULONG DevFunc);
	void FillDevList();
	CPciDlgDlg(CWnd* pParent = NULL);	// standard constructor

    PCI_COMMON_CONFIG CurDevInfo;
    BOOLEAN CurDevInfoValid;
	CImageList m_imageList;
    CHAR dev_str[8092];
//	CListCtrl* pvList;

    UCHAR VerMj;
    UCHAR VerMn;
    ULONG EntryPoint;

// Dialog Data
	//{{AFX_DATA(CPciDlgDlg)
	enum { IDD = IDD_PCIDLG_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPciDlgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPciDlgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClickList3(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangedTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnUpdateVendorId();
	afx_msg void OnUpdateDeviceId();
	afx_msg void OnUpdateClassId();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PCIDLGDLG_H__C89E2B7D_17ED_11D7_B7B9_00A0C9A01D1B__INCLUDED_)
